# $Revision: 1.11 $, $Date: 2002/07/07 00:13:52 $
Summary:	wxWindows library - Motif port
Summary(pl):	biblioteka wxWindows - port Motif
Name:		wxMotif
Version:	2.3.2
Release:	4
License:	wxWindows Licence
Group:		X11/Libraries
Source0:	ftp://www.remstar.com/pub/wxwin/%{version}/%{name}-%{version}.tgz
Patch0:		%{name}-configure.patch
Patch1:		%{name}-DESTDIR.patch
URL:		http://www.wxwindows.org/
Requires:	glib
Requires:	iconv
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf
BuildRequires:	bison
BuildRequires:	esound-devel
BuildRequires:	flex
BuildRequires:	gcc-c++
BuildRequires:	gettext-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmng-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	motif-devel
Requires:	OpenGL
Requires:	wxwin-common = %{version}
Requires:	wxwin-afm = %{version}
Provides:	wxwin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1
%define		_prefix		/usr/X11R6
%define		_infodir	/usr/share/info
%define		_mandir		/usr/X11R6/man
%define		_sysconfdir	%{_datadir}

%define		_gcc_ver	%(%{__cc} -dumpversion | cut -b 1)
%if %{_gcc_ver} == 2
%define		__cxx		"%{__cc}"
%endif

%description
wxWindows is a free C++ library for cross-platform GUI development.
With wxWindows, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

%description -l pl
wxWindows to darmowa biblioteka napisana w C++ umiliwiajca
rozwijanie wielo-platformowych programw GUI. Z wxWindows moesz
tworzy aplikacje dla rnych GUI (GTK+, Motif/LessTif, MS Windows,
Mac) z tego samego kodu rdowego.

%package devel
Summary:	wxMotif header files and development documentation
Summary(pl):	Pliki nagwkowe i dokumentacja do wxMotif
Group:		X11/Development/Libraries
Provides:	wxwin-devel
Provides:	wxwin-base-devel
Obsoletes:	wxBase-devel
Obsoletes:	wxGTK-devel
Requires:	%{name} = %{version}
Requires:	motif-devel

%description devel
Header files and development documentation for the wxMotif libraries.

%description devel -l pl
Pliki nagwkowe i dokumentacja do bibliotek wxMotif.

%prep
%setup  -q -c
%patch0 -p1
%patch1 -p1

%build
%{__gettextize}
%{__autoconf}
cd demos
%{__autoconf}
cd ../samples
%{__autoconf}
cd ../utils
%{__autoconf}
cd ../contrib
%{__autoconf}
cd ..
%configure \
	--enable-shared \
	--enable-soname \
	--with-libpng=sys \
	--with-libjpeg=sys \
	--with-libtiff=sys \
	--with-opengl \
	--with-zlib=sys \
	--with-odbc \
	--enable-burnt_name \
	%{?debug:--enable-debug}%{!?debug:--disable-debug} \
	--enable-no_rtti \
	--enable-no_exceptions \
	--enable-wave \
	--enable-fraction \
	--enable-wxtree \
	--enable-controls \
	--enable-tabdialog \
	--enable-calendar \
	--with-x \
	--with-motif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_bindir}/*
%{_includedir}/wx
%{_libdir}/wx

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wxMotif.spec,v $
Revision 1.11  2002/07/07 00:13:52  qboosh
- separated afm files (built from wxGTK.spec)
- release 4

Revision 1.10  2002/07/05 10:50:39  wiget
--enable-soname, release 3

Revision 1.9  2002/06/23 20:52:54  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.8  2002/05/21 23:15:04  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/02/22 23:30:01  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/16 18:28:38  kloczek
- adapterized.

Revision 1.5  2002/02/16 16:32:28  misiek
- enable calendar; release up (3 and 2)

Revision 1.4  2002/01/18 02:15:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/23 09:39:12  qboosh
- updated to 2.3.2, as the rest of wxWindows, updated patches

Revision 1.2  2001/10/30 23:11:51  qboosh
- updated to 2.3.1

Revision 1.1  2001/06/24 20:15:11  qboosh
- new
